sc::AngularIntegrator(3)

NAME
sc::AngularIntegrator -

An abstract base class for angular integrators.

SYNOPSIS

#include <integrator.h>

Inherits sc::SavableState.

Inherited by sc::GaussLegendreAngularIntegrator, and sc::LebedevLaikovIntegrator.

  Public Member Functions
AngularIntegrator (const Ref< KeyVal > &)
AngularIntegrator (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
virtual int nw (void) const =0
virtual int num_angular_points (double r_value, int ir)=0
virtual double angular_point_cartesian (int iangular, double r, SCVector3 &integration_point) const =0

Detailed Description

An abstract base class for angular integrators.

Member Function Documentation

  void sc::AngularIntegrator::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

Reimplemented in sc::GaussLegendreAngularIntegrator, and sc::LebedevLaikovIntegrator.

Author

Generated automatically by Doxygen for MPQC from the source code.